DefaultRedirectHandler (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class DefaultRedirectHandler

    java.lang.Object
      org.apache.http.impl.client.DefaultRedirectHandler

All Implemented Interfaces:
  RedirectHandler

Deprecated. (4.1) use `DefaultRedirectStrategy`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class DefaultRedirectHandler

extends Object
implements RedirectHandler

Default implementation of `RedirectHandler`.

Since:
  4.0

Constructor Summary
`DefaultRedirectHandler()` Deprecated.

Method Summary
`URI` | `getLocationURI(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.
`boolean` | `isRedirectRequested(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines if a request should be redirected to a new location given the response from the target server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRedirectHandler

    public DefaultRedirectHandler()

  Deprecated.

Method Detail

### isRedirectRequested

    public boolean isRedirectRequested(org.apache.http.HttpResponse response,
                                       org.apache.http.protocol.HttpContext context)

  Deprecated.
  Description copied from interface: `RedirectHandler`
  Determines if a request should be redirected to a new location given the response from the target server.

  Specified by:
    `isRedirectRequested` in interface `RedirectHandler`
  Parameters:
    `response` - the response received from the target server
    `context` - the context for the request execution
  Returns:
    `true` if the request should be redirected, `false` otherwise

### getLocationURI

    public URI getLocationURI(org.apache.http.HttpResponse response,
                              org.apache.http.protocol.HttpContext context)
                       throws org.apache.http.ProtocolException

  Deprecated.
  Description copied from interface: `RedirectHandler`
  Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.

  Specified by:
    `getLocationURI` in interface `RedirectHandler`
  Parameters:
    `response` - the response received from the target server
    `context` - the context for the request execution
  Returns:
    redirect URI
  Throws:
    `org.apache.http.ProtocolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.